%define dname %{name}_%version

Summary:	Lists files open by processes
Name:		lsof
Version:	4.81
Release:	%mkrel 3
License:	Free
Url:		ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof
Group:		Monitoring
Source0:	ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/%dname.tar.bz2
Source1:	ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/%dname.tar.bz2.sig
Patch0:		lsof_4.64-perl-example-fix.patch
Patch1:		lsof_4.60-has-security.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{version}-buildroot

%description
Lsof's name stands for LiSt Open Files, and it does just that. It lists
information about files that are open by the processes running on a UNIX
system.

%prep
%setup -q -c -n %{dname}

#
# Sort out whether this is the wrapped or linux specific tar ball.
#
[ -d %{dname} ] && cd %{dname}
[ -f %{dname}_src.tar ] && tar xf %{dname}_src.tar
[ -d %{dname}.linux -a ! -d %{dname} ] && \
	mv %{dname}.linux %{dname}
[ -d %{dname}_src ] && cd %{dname}_src

%patch0 -p1
%patch1 -p1

%build
[ -d %{dname}/%{dname}_src ] && cd %{dname}/%{dname}_src

LINUX_BASE=/proc LSOF_LDFLAGS="%{ldflags}" ./Configure -n linux

find -name Makefile | xargs perl -pi -e "s|^CFGL=.*|CFGL=%{ldflags} -L./lib -llsof|g"

%make DEBUG="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
[ -d %{dname}/%{dname}_src ] && cd %{dname}/%{dname}_src
install -s %{name} -D $RPM_BUILD_ROOT%{_sbindir}/%{name}
install -m644 lsof.8 -D $RPM_BUILD_ROOT%{_mandir}/man8/lsof.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{dname}/00*
%attr(0755,root,kmem) %{_sbindir}/%{name}
%{_mandir}/man8/lsof.8*


%changelog
* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.81-3mdv2010.0
+ Revision: 426013
- rebuild

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 4.81-2mdv2009.1
+ Revision: 317039
- rediffed one fuzzy patch
- use %%ldflags

* Fri Oct 31 2008 Frederik Himpe <fhimpe@mandriva.org> 4.81-1mdv2009.1
+ Revision: 299009
- update to new version 4.81

* Wed Aug 27 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.80-1mdv2009.0
+ Revision: 276517
- new release
- include signature
- fix URL

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.78-4mdv2009.0
+ Revision: 223132
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.78-3mdv2008.1
+ Revision: 152875
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.78-2mdv2008.1
+ Revision: 152873
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 4.78-1mdv2008.0
+ Revision: 80037
- new release


* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 4.77-1mdv2007.0
+ Revision: 114680
- Import lsof

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 4.77-1mdv2007.1
- unpack patches
- New version 4.77

* Wed Oct 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 4.76-1mdk
- new release

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.74-1mdk
- new release

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.73-1mdk
- 4.73
- cosmetics

* Thu Apr 01 2004 Michael Scherer <misc@mandrake.org> 4.71-1mdk
- 4.71

